Sisyphus repository
Last update: 31 march 2020 | SRPMs: 17560 | Visits: 17793848
en ru br
Maintainer: Boris Savelev

 Information   Packages   Bugs and FR  Repocop 

Repocop messages:

package status test message
antico-deluxe-0.1.96-alt1.3.x86_64
info
requires-ImageMagick Dependency on ImageMagick (compat package) found. It probably should be replaced with more specific dependency like /usr/bin/convert or ImageMagick-tools, or it can be already autodetected by findreq-shell.
apache2-mod_auth_kerb-5.4-alt1.1.x86_64
info
subdir-in-var-run Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
aqemu-0.9.2-alt0.1.i586
info
requires-ImageMagick Dependency on ImageMagick (compat package) found. It probably should be replaced with more specific dependency like /usr/bin/convert or ImageMagick-tools, or it can be already autodetected by findreq-shell.
axkb-0.4.3-alt1.85c44479.1.qa1.x86_64
experimental
iconsdir Please, move pixmaps from /usr/share/pixmaps to %_liconsdir, %_niconsdir, %_miconsdir according to their size. See http://www.altlinux.org/IconPathsPolicy.
dbmon-mysql-0.1-alt7.noarch
fail
init-lsb /etc/rc.d/init.d/dbmon-mysql: not systemd compatible: lsb init header missing and dbmon-mysql.service is not present. See http://www.altlinux.org/Services_Policy for details.
dbmon-mysql-0.1-alt7.noarch
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
dbmon-mysql-0.1-alt7.noarch
info
subdir-in-var-run Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
flamerobin-0.9.0-alt2.qa2.i586
info
requires-ImageMagick Dependency on ImageMagick (compat package) found. It probably should be replaced with more specific dependency like /usr/bin/convert or ImageMagick-tools, or it can be already autodetected by findreq-shell.
imapsync-1.945-alt1.noarch
fail
unsafe-tmp-usage-in-scripts The test discovered scripts with errors which may be used by a user for damaging important system files. For example if a script uses in its work a temp file which is created in /tmp directory, then every user can create symlinks with the same name (pattern) in this directory in order to destroy or rewrite some system or another user's files. Scripts _must_ _use_ mktemp/tempfile or must use $TMPDIR. mktemp/tempfile is safest. $TMPDIR is safer than /tmp/ because libpam-tmpdir creates a subdirectory of /tmp that is only accessible by that user, and then sets TMPDIR and other variables to that. Hence, it doesn't matter nearly as much if you create a non-random filename, because nobody but you can access it. Found error in /usr/bin/imapsync: $ grep -A5 -B5 /tmp/ /usr/bin/imapsync Readonly my $TRUE => 1 ; Readonly my $FALSE => 0 ; Readonly my $LAST_RESSORT_SEPARATOR => q{/} ; Readonly my $CGI_TMPDIR_TOP => '/var/tmp/imapsync_cgi' ; Readonly my $CGI_HASHFILE => '/var/tmp/imapsync_hash' ; Rea... [the rest of the message is skipped]
ocaml-bdb-4.3.21-alt10.x86_64
info
missing-url Missing Url: in a package.
ocaml-bdb-runtime-4.3.21-alt10.x86_64
info
missing-url Missing Url: in a package.
pvm-3.4.6-alt1.1.qa1.x86_64
info
subdir-in-var-run Found a subdir in /var/run or /var/lock. /var/run and /var/lock may be mounted as temporary filesystems, so the init.d scripts must handle this correctly. This will typically amount to creating any required subdirectories dynamically when the init.d script is run, rather than including them in the package and relying on rpm to create them.
pvm-3.4.6-alt1.1.qa1.i586
info
beehive-log-unpackaged-files-found-i586 warning: Installed (but unpackaged) file(s) found: /etc/rc.d/init.d/pvmd
pvm-3.4.6-alt1.1.qa1.i586
info
beehive-log-unpackaged-files-found-x86_64 warning: Installed (but unpackaged) file(s) found: /etc/rc.d/init.d/pvmd
pvm-devel-3.4.6-alt1.1.qa1.x86_64
warn
library-pkgnames-static package contains static library which has the same name as a shared library in the repository, but neither package name ends with -devel-static according to http://altlinux.org/Drafts/SharedLibs nor the package explicitly conflicts with the package with .so library
tacix-applet-gtk-0.1.1-alt2.gf1da751.1.x86_64
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/x86_64/RPMS/tacix-applet-gtk-0.1.1-alt2.gf1da751.1.x86_64.rpm: forbidden requires: /usr/bin/python sisyphus_check: check-deps ERROR: package dependencies violation /ALT/Sisyphus/files/x86_64/RPMS/tacix-applet-gtk-0.1.1-alt2.gf1da751.1.x86_64.rpm: The use of such a license name is ambiguous: GPL
tacix-client-0.1.1-alt2.gf1da751.1.x86_64
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/x86_64/RPMS/tacix-client-0.1.1-alt2.gf1da751.1.x86_64.rpm: forbidden requires: /usr/bin/python sisyphus_check: check-deps ERROR: package dependencies violation /ALT/Sisyphus/files/x86_64/RPMS/tacix-client-0.1.1-alt2.gf1da751.1.x86_64.rpm: The use of such a license name is ambiguous: GPL
tacix-manager-0.1.1-alt2.gf1da751.1.x86_64
fail
sisyphus_check sisyphus_check failed: /ALT/Sisyphus/files/x86_64/RPMS/tacix-manager-0.1.1-alt2.gf1da751.1.x86_64.rpm: forbidden requires: /usr/bin/python sisyphus_check: check-deps ERROR: package dependencies violation /ALT/Sisyphus/files/x86_64/RPMS/tacix-manager-0.1.1-alt2.gf1da751.1.x86_64.rpm: The use of such a license name is ambiguous: GPL
tacix-manager-0.1.1-alt2.gf1da751.1.x86_64
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
timeoutd-1.5-alt2.1.x86_64
warn
init-condrestart /etc/rc.d/init.d/timeoutd: missing condrestart target. Note: alt-specific script %_sbindir/post_service (used in %post_service macro) depends on condrestart. It is wise to add condrestart anyway./etc/rc.d/init.d/timeoutd: missing condstop target. Note: alt-specific script %_sbindir/preun_service (used in %preun_service macro) depends on condstop. It is wise to add condstop anyway.
timeoutd-1.5-alt2.1.x86_64
info
missing-url Missing Url: in a package.
timeoutd-1.5-alt2.1.x86_64
info
init-but-no-native-systemd The package have SysV init script(s) but no native systemd files.
timeoutd-debuginfo-1.5-alt2.1.x86_64
info
missing-url Missing Url: in a package.
 
design & coding: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
current maintainer: Michael Shigorin